<?php

namespace App\Entities\Mangboard;

use App\Entities\MyStorage\FileEntity as MyStorageEntity;

class FileEntity extends MyStorageEntity
{
    public function __toString(): string
    {
        return "{$this->getPK()}|" . parent::__toString();
    }
    //Common Function

    public function getPK(): int
    {
        return $this->attributes['pid'];
    }
}
